// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//
import {memory} from "system";
import * as C from "../common/constants";
import { logger } from "../common/utils";
import * as utils from "../common/utils";
import * as prefs from "../common/prefs";
import { P } from "../common/prefs";
import { tz_data } from "../common/tz"
import * as face from "../common/analog_face";
import * as cfg_select from "../common/cfg_select";
import * as config1 from "../common/config1";

let screen;
export let scr;

let tz_scr;
export let tz_idx;

export function init(doc)
{

  screen = doc.getElementById("config0");
  scr = utils.scr_init(screen, "Configuration");
  utils.image_btn(screen, "ul_btn", "icons/left_btn.png", (btn) => {
    config1.sh_screen();
  });
  utils.image_btn(screen, "ur_btn", "icons/right_btn.png", (btn) => {
    cfg_select.sh_screen();
  });

  //
  // rotation direction
  //
  let cfg_rotate = screen.getElementById("cfg_rotate");
  cfg_rotate.image = (P.rotation > 0) ? "icons/cw.png" : "icons/ccw.png";
  cfg_rotate.addEventListener("click", (evt) => {
    P.rotation = (P.rotation > 0) ? -1 : 1;
    cfg_rotate.image = (P.rotation > 0) ? "icons/cw.png" : "icons/ccw.png";
    face.set_rotation();
    prefs.save();
  })

  //
  // display moon phase
  //
  let cfg_moon = screen.getElementById("cfg_moon");
  cfg_moon.image = P.moon ? "icons/moon-1.png" : "icons/list_btn.png";
  cfg_moon.addEventListener("click", (evt) => {
    P.moon ^= 1;
    cfg_moon.image = P.moon ? "icons/moon-1.png" : "icons/list_btn.png";
    face.set_moon(cfg_moon.image);
  })
  
  return scr;
}

export function sh_screen()
{

  utils.sh_screen(scr);
}

//export function set_time()
//{
//
//  let local = new Date();
//  let cfg_time = screen.getElementById("cfg_current");
//  cfg_time.text = local.toString();
//  let cfg_phase = screen.getElementById("cfg_phase");
//  cfg_phase.text = "Lunar day " + utils.lunar_day(local);
//  let cfg_mem = screen.getElementById("cfg_mem");
//  cfg_mem.text = "mem: " + memory.js.used + "/" + memory.js.total;
//}
